<?php 
namespace gaode;
class UrlConfig {
    public $url='https://restapi.amap.com/';
    public $key='';
    public $url_arr=[];
    public function __construct()
    {
        $this->key=config('xy_map.server_key');
        $this->url_arr=[
            'geocode_geo'       =>  'v3/geocode/geo',
            'geocode_regeo'     =>  'v3/geocode/regeo'
        ];
    }
    public function getGeocodeGeoUrl()
    {
        return $this->url_arr['geocode_geo'];
    }
    public function getGeocodeRegeoUrl()
    {
        return $this->url_arr['geocode_regeo'];
    }
}